from os.path import join

import pygame
from Mind import Imagination

pygame.init()

SCREEN = pygame.display.set_mode((0, 0), pygame.FULLSCREEN)
SIZE = WIDTH, HEIGHT = SCREEN.get_size()

MAX_FPS = 60

KEYS = Imagination.ARROWS + Imagination.HIT + [
    (pygame.K_ESCAPE, "quit")
]
KEYBOARD = Imagination.Keyboard(KEYS)

WHITE = (255, 255, 255)
BLACK = (0, 0, 0)
RED = (255, 0, 0)
LIFE = (25, 255, 25)
COLD = (165, 242, 243)
FOOD = (165, 42, 42)
NIGHT = (31, 21, 91)

ART_PATH = join("doc", "art")
MAP_PATH = join(ART_PATH, "map")

FONTS = [pygame.font.Font(join(ART_PATH, "Cella.ttf"), 52),
         pygame.font.Font(join(ART_PATH, "Cella.ttf"), 36)]

LIGHT_SIZE = 500
DARK_PERCENT = 170
